{
	"name": "plugin/nc-calc-server/column/order-invoice.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "ord.order_id",
			"record_type": "sales",
			"variable": "idx",
			"name": "Row",
			"name_fi": "Rivi"
		},
		{
			"export": false,
			"editable": false,
			"name": "Status",
			"variable": "change_status",
			"width": 65,
			"name_fi": "Tila"
		},
		{
			"type": "Field",
			"field": "ord.note",
			"width": 90
		},
		{
			"field": "ord.order_id",
			"width": 90,
			"name": "Ord id"
		},
		{
			"field": "ord.json_data.firm_id",
			"name": "Firm",
			"width": 90,
			"name_fi": "Yritys"
		},
		{
			"field": "ord.invoicing_company_id",
			"name_fi": "Asiakas",
			"name": "Customer",
			"width": 90,
			"default_value": {
				"organization_id": {
					"odoo": {
						"copy_value": {
							"invoicing_company_id": "json_data.footnote"
						}
					}
				}
			}
		},
		{
			"field": "ord.json_data.footnote",
			"name": "Footnote",
			"width": 240,
			"name_fi": "Alaviite"
		},
		{
			"field": "ord.our_reference",
			"width": 150
		},
		{
			"field": "ord.order_type",
			"width": 90
		},
		{
			"field": "ord.order_date",
			"width": 90
		},
		{
			"field": "ord.json_data.bank_reference_number",
			"width": 200
		},
		{
			"field": "ord.terms_of_payment_id",
			"width": 150
		},
		{
			"field": "ord.json_data.handler_id",
			"width": 120
		},
		{
			"field": "ord.due_date",
			"width": 90
		},
		{
			"field": "ord.your_reference",
			"width": 140
		},
		{
			"field": "ord.order_state",
			"width": 140
		},
		{
			"field": "ord.price_without_vat",
			"name": "Price vat 0%",
			"format": "%'.2f",
			"width": 100,
			"name_fi": "Hinta alv 0%"
		},
		{
			"field": "ord.vat_price",
			"format": "%'.2f",
			"width": 90,
			"name": "VAT",
			"name_fi": "Alv"
		},
		{
			"field": "ord.price_with_vat",
			"name": "Total price",
			"format": "%'.2f",
			"width": 100,
			"name_fi": "Kokonaishinta"
		},
		{
			"field": "ord.currency_id",
			"name": "Curr.",
			"width": 60,
			"name_fi": "Valuutta"
		},
		{
			"field": "ord.json_data.paid_price",
			"width": 90
		},
		{
			"field": "ord.record_id",
			"name_fi": "Record id",
			"width": 110,
			"name": "Record ID"
		}
	],
	"columns_not_in_use": [
		{
			"field": "ord.info",
			"name_fi": "Info",
			"width": 300,
			"name": "Info"
		},
		{
			"field": "ord.modify_time",
			"width": 90
		},
		{
			"field": "ord.vat_price",
			"width": 160,
			"name": "VAT"
		}
	]
}
